package dev.fyloz.colorrecipesexplorer

object Constants {
    var DEBUG_MODE = false  // Not really a constant, but should never change after the app startup

    object ControllerPaths {
        const val BASE_PATH = "/api"

        const val COMPANY = "$BASE_PATH/company"
        const val GROUP_TOKEN = "$BASE_PATH/account/group/token"
        const val FILE = "$BASE_PATH/file"
        const val GROUP = "$BASE_PATH/account/group"
        const val INVENTORY = "$BASE_PATH/inventory"
        const val MATERIAL = "$BASE_PATH/material"
        const val MATERIAL_TYPE = "$BASE_PATH/materialtype"
        const val MIX = "$BASE_PATH/recipe/mix"
        const val RECIPE = "$BASE_PATH/recipe"
        const val TOUCH_UP_KIT = "$BASE_PATH/touchupkit"
        const val USER = "$BASE_PATH/account/user"

        const val LOGIN = "$BASE_PATH/account/login"
        const val GROUP_LOGIN = "$BASE_PATH/account/login/group"
    }

    object CookieNames {
        const val AUTHORIZATION = "Authorization"
        const val GROUP_TOKEN = "Group-Token"
    }

    object FilePaths {
        private const val PDF = "pdf"
        private const val IMAGES = "images"

        const val SIMDUT = "$PDF/simdut"
        const val TOUCH_UP_KITS = "$PDF/touchupkits"
        const val RECIPE_IMAGES = "$IMAGES/recipes"
    }

    object HeaderNames {
        const val ACCESS_CONTROL_EXPOSE_HEADERS = "Access-Control-Expose-Headers"
        const val AUTHORIZATION = "Authorization"
    }

    object ModelNames {
        const val COMPANY = "Company"
        const val GROUP_TOKEN = "GroupToken"
        const val GROUP = "Group"
        const val MATERIAL = "Material"
        const val MATERIAL_TYPE = "MaterialType"
        const val MIX = "Mix"
        const val MIX_MATERIAL = "MixMaterial"
        const val MIX_TYPE = "MixType"
        const val RECIPE = "Recipe"
        const val RECIPE_STEP = "RecipeStep"
        const val TOUCH_UP_KIT = "TouchUpKit"
        const val USER = "User"
    }

    object ValidationMessages {
        const val SIZE_GREATER_OR_EQUALS_ZERO = "Must be greater or equals to 0"
        const val SIZE_GREATER_OR_EQUALS_ONE = "Must be greater or equals to 1"
        const val RANGE_OUTSIDE_PERCENTS = "Must be between 0 and 100"
        const val PASSWORD_TOO_SMALL = "Must contains at least 8 characters"
    }

    object ValidationRegexes {
        const val VALIDATION_COLOR_PATTERN = "^#([0-9a-f]{6})$"
    }
}
